API reference
All operations
COMPANY

Creates a new address for a specific company.

POST/api/v2/companies/{companyId}/addresses

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Parameters

companyIdpathinteger · int32required

The company to add the address to.

Request body

application/jsonrequired

Address details.

CompanyAssignedAddressRequest
  • descriptionstringrequired
  • address1stringnullable
  • address2stringnullable
  • citystringnullable
  • statestringnullable
  • zipstringnullable
  • countystringnullable
  • countrystringnullable
  • mailingbooleannullable
  • mappingbooleannullable

Responses

Company address created successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataCompanyAssignedAddressDto
  • addressIdinteger · int32
  • companyIdinteger · int32
  • descriptionstring
  • address1string
  • address2string
  • address3string
  • citystring
  • statestring
  • zipstring
  • countystring
  • countrystring
  • longitudenumber · double
  • latitudenumber · double
  • mailingboolean
  • mappingboolean
  • linkedboolean